### Virtual Method

# Gtk TreeModel get_iter

#### Declaration [src]

    gboolean
    get_iter (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      GtkTreePath* path
    )

#### Description [src]

Sets `iter` to a valid iterator pointing to `path`.

If `path` does not exist, `iter` is set to an invalid iterator and `FALSE` is returned.

#### Parameters

`iter` | `GtkTreeIter`
| The uninitialized `GtkTreeIter`.
| The argument will be set by the function.
| The data is owned by the caller of the function.
`path` | `GtkTreePath`
| The `GtkTreePath`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE`, if `iter` was set.